package main

import (
    "net/http"
    "path/filepath"
)

func index(w http.ResponseWriter, r *http.Request) {
    http.Redirect(w, r, "/contact", http.StatusMovedPermanently)
}

func static(w http.ResponseWriter, r *http.Request) {
    http.ServeFile(w, r, r.URL.Path)
}

func file(w http.ResponseWriter, r *http.Request) {
    http.ServeFile(w, r, filepath.Join(getParam(r, 1), getParam(r, 0)))
}

func html(w http.ResponseWriter, r *http.Request) {
    if a, found := ALIASES[getParam(r, 0)]; found {
        http.Redirect(w, r, a, http.StatusFound)
    } else if t, found := TMPL[getParam(r, 0)]; found {
        w.Write(t)
    } else {
        http.NotFound(w, r)
    }
}
